<id>
mMood
</id>

<version>
1.00
</version>

<mod info>
This MOD will let your members specify a mood when they post. 

Enjoy!

Allever
</mod info>

<author>
Allever
</author>

<homepage>
www.dealsaddict.net
</homepage>

<edit file>
$sourcedir/Display.php
</edit file>

<search for>
		$messages_request = db_query("
			SELECT
				ID_MSG, icon, subject, posterTime, posterIP, ID_MEMBER, modifiedTime, modifiedName, body,
				smileysEnabled, posterName, posterEmail,
</search for>

<add after>
				posterMood,
</add after>


<search for>
		'modified' => array(
			'time' => timeformat($message['modifiedTime']),
			'timestamp' => forum_time(true, $message['modifiedTime']),
			'name' => $message['modifiedName']
		),
		'body' => $message['body'],
</search for>

<add after>
		'postermood' => $message['posterMood'],
</add after>

<edit file>
$sourcedir/Post.php
</edit file>

<search for>
			if (!isset($_REQUEST['icon']))
				$_REQUEST['icon'] = 'xx';
</search for>

<add after>
			if (!isset($_REQUEST['postermood']))
				$_REQUEST['postermood'] = '';
</add after>

<search for>
		$form_message = htmlspecialchars(stripslashes($_REQUEST['message']), ENT_QUOTES);
</search for>

<add after>
		$form_postermood = htmlspecialchars(stripslashes($_REQUEST['postermood']), ENT_QUOTES);
</add after>

<search for>
				m.posterName, m.posterEmail, m.subject, m.icon,
</search for>

<add after>
				m.posterMood,
</add after>


<search for>
		$form_message = un_preparsecode($row['body']);
		censorText($form_message);
		censorText($form_subject);
</search for>

<add after>
		$form_postermood = $row['posterMood'];
</add after>


<search for>
	$context['subject'] = addcslashes($form_subject, '"');
</search for>

<add after>
	$context['postermood'] = addcslashes($form_postermood, '"');
</add after>

<search for>
	$_POST['guestname'] = htmlspecialchars($_POST['guestname']);
	$_POST['email'] = htmlspecialchars($_POST['email']);
</search for>

<add after>
	$_POST['postermood'] = htmlspecialchars($_POST['postermood']);
</add after>

<search for>
		'icon' => preg_replace('~[\./\\\\*:"<>]~', '', $_POST['icon']),
		'smileys_enabled' => !isset($_POST['ns']),
		'attachments' => empty($attachIDs) ? array() : $attachIDs,
</search for>
<add after>
		'postermood' => $_POST['postermood'],
</add after>

<search for>
		SELECT IFNULL(mem.realName, m.posterName) AS posterName, m.posterTime, m.body, m.smileysEnabled, m.ID_MSG
</search for>
<add after>
		, m.posterMood
</add after>

<search for>
			'timestamp' => forum_time(true, $row['posterTime']),
			'id' => $row['ID_MSG'],
			'is_new' => !empty($newReplies),
</search for>
<add after>
			'postermood' => $row['posterMood'],
</add after>

<edit file>
$sourcedir/Subs-Post.php
</edit file>

<search for>
			posterIP, smileysEnabled, icon)
</search for>

<replace>
			posterIP, smileysEnabled, icon, posterMood)
</replace>

<search for>
			'$posterOptions[ip]', " . ($msgOptions['smileys_enabled'] ? '1' : '0') . ", '$msgOptions[icon]')", __FILE__, __LINE__);
</search for>

<replace>
			'$posterOptions[ip]', " . ($msgOptions['smileys_enabled'] ? '1' : '0') . ", '$msgOptions[icon]', '$msgOptions[postermood]')", __FILE__, __LINE__);
</replace>

<search for>
	if (isset($msgOptions['body']))
		$messages_columns[] = "body = '$msgOptions[body]'";
</search for>

<add after>
	if (isset($msgOptions['postermood']))
		$messages_columns[] = "postermood = '$msgOptions[postermood]'";
</add after>

<edit file>
$themes_dir/default/Display.template.php
</edit file>
<search for>
		// Show a checkbox for quick moderation?
		if (!empty($options['display_quick_mod']) && $options['display_quick_mod'] == 1 && $message['can_remove'])
			echo '
									<input type="checkbox" name="msgs[]" value="', $message['id'], '" class="check" onclick="document.getElementById(\'quickmodSubmit\').style.display = \'\';" />';
</search for>

<add after>

		// Show post's mood
		if ( $message['postermood'] != '' )
			$postermood = '<b>' . $txt['current_mood'] . ': ' . $message['postermood'] . '</b><br><br>';
		else
			$postermood = '';
</add after>

<search for>
							<div class="post">', $message['body'], '</div>
</search for>

<replace>
							<div class="post">', $postermood, $message['body'], '</div>
</replace>

<edit file>
$themes_dir/default/Post.template.php
</edit file>

<search for>
	// The below function prints the BBC, smileys and the message itself out.
	theme_postbox($context['message']);
</search for>

<add after>
	// Prints the current mood for this post
	echo '
			<tr>
				<td valign="top" align="right">
					<b>', $txt['current_mood'], ':</b>
				</td>
				<td>';
	echo '
			<select name="postermood" id="postermood">';
			foreach ( $context['moods'] as $mood ) 
			echo '<option value="', $mood, '"', $mood == $context['postermood'] ? ' selected="selected"' : '', '>', $mood, '</option>';
			echo '</select>';

</add after>

<edit file>
$languagedir/Modifications.english.php
</edit file>

<search for>
// Version: 1.1 RC1; Modifications
</search for>
<add after>
// *** Mood word list - You can add or remove words from here - Allever
$context['moods'] = array('','accomplished', 'aggravated','amused','angry','annoyed','anxious',
'apathetic','artistic','awake','bitchy','blah','blank','bored','bouncy','busy','calm','cheerful',
'chipper','cold','complacent','confused','contemplative','content','cranky','crappy','crazy',
'creative','crushed','curious','cynical','depressed','determined','devious','dirty','disappointed',
'discontent','distressed','ditzy','dorky','drained','drunk','ecstatic','embarrassed','energetic',
'enraged','enthralled','envious','exanimate','excited','exhausted','frustrated','full','geeky',
'giddy','giggly','gloomy','good','grateful','groggy','grumpy','guilty','happy','high','hopeful',
'hot','hungry','hyper','impressed','indescribable','indifferent','infuriated','intimidated','irate',
'irritated','jealous','jubilant','lazy','lethargic','lonely','loved','melancholy','mellow','mischievous',
'moody','morose','nauseated','nerdy','nervous','nostalgic','numb','okay','optimistic','peaceful',
'pensive','pessimistic','pissed off','pleased','productive','quixotic','recumbent','refreshed',
'rejected','rejuvenated','relaxed','relieved','restless','rushed','sad','satisfied','scared',
'shocked','sick','silly','sleepy','sore','stressed','surprised','sympathetic','thankful','thirsty',
'thoughtful','tired','touched','uncomfortable','weird','working','worried' );
$txt['current_mood'] = 'Current mood';
</add after>
